Name:           ocaml-sedlex
Version:        2.1
Release:        %mkrel 4
Summary:        Unicode-friendly lexer generator
Group:          Development/OCaml
License:        MIT
URL:            https://github.com/ocaml-community/sedlex
Source0:        https://github.com/ocaml-community/sedlex/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-migrate-parsetree-devel
BuildRequires:  ocaml-ppx_derivers-devel
BuildRequires:  ocaml-ppx-tools-versioned-devel
BuildRequires:  ocaml-gen-devel

%description
A lexer generator for OCaml, similar to ocamllex, but supporting Unicode.
Contrary to ocamllex, lexer specifications for sedlex are embedded in
regular OCaml source files.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%setup -q -n sedlex-%{version}
%autopatch -p1

# spurious-executable-perm
chmod a-x src/syntax/sedlex_cset.ml

%build
dune build -p sedlex --verbose

%install
dune install --destdir="$RPM_BUILD_ROOT" --verbose

# These will be installed using doc and license directives.
rm -r $RPM_BUILD_ROOT%{_prefix}/doc/sedlex/{CHANGES,README.md,LICENSE}

# Makes *.cmxs and *.opt executable such that they will be stripped.
find %{buildroot} -name '*.{cmxs,opt}' -exec chmod 0755 {} \;

# uchar is a compatibility package for older OCaml version
sed -i 's/uchar//g' $RPM_BUILD_ROOT%{_libdir}/ocaml/sedlex/META
sed -i 's/uchar//g' $RPM_BUILD_ROOT%{_libdir}/ocaml/sedlex/dune-package
sed -i 's/"uchar"//g' $RPM_BUILD_ROOT%{_libdir}/ocaml/sedlex/opam

%files
%doc README.md CHANGES
%license LICENSE
%dir %{_libdir}/ocaml/sedlex
%{_libdir}/ocaml/sedlex/META
%{_libdir}/ocaml/sedlex/*.cma
%{_libdir}/ocaml/sedlex/*.cmi
%{_libdir}/ocaml/sedlex/*.cmxs
%{_libdir}/ocaml/sedlex/ppx/*.cma
%{_libdir}/ocaml/sedlex/ppx/*.cmi
%{_libdir}/ocaml/sedlex/ppx/*.cmxs
%{_libdir}/ocaml/sedlex/ppx/*.exe


%files devel
%doc README.md CHANGES
%license LICENSE
%{_libdir}/ocaml/sedlex/opam
%{_libdir}/ocaml/sedlex/*dune*
%{_libdir}/ocaml/sedlex/*.a
%{_libdir}/ocaml/sedlex/*.cmti
%{_libdir}/ocaml/sedlex/*.cmt
%{_libdir}/ocaml/sedlex/*.cmxa
%{_libdir}/ocaml/sedlex/*.cmx
%{_libdir}/ocaml/sedlex/*.ml
%{_libdir}/ocaml/sedlex/*.mli
%{_libdir}/ocaml/sedlex/ppx/*.a
%{_libdir}/ocaml/sedlex/ppx/*.cmti
%{_libdir}/ocaml/sedlex/ppx/*.cmt
%{_libdir}/ocaml/sedlex/ppx/*.cmxa
%{_libdir}/ocaml/sedlex/ppx/*.cmx
%{_libdir}/ocaml/sedlex/ppx/*.ml
%{_libdir}/ocaml/sedlex/ppx/*.mli


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 2.1-4.mga8
+ Revision: 1670791
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 2.1-3.mga8
+ Revision: 1551747
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 2.1-2.mga8
+ Revision: 1545731
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 2.1-1.mga8
+ Revision: 1485119
- new release + rebuild for ocaml-4.10

* Thu Oct 25 2018 pterjan <pterjan> 1.99.4-5.mga7
+ Revision: 1325266
- Fix build with ppx_tools_versioned 5.2.1
+ daviddavid <daviddavid>
- rebuild for new ocaml 4.07.1

* Thu Aug 30 2018 daviddavid <daviddavid> 1.99.4-4.mga7
+ Revision: 1255688
- rebuild for new ocaml-result 1.3

* Sat Jul 21 2018 daviddavid <daviddavid> 1.99.4-2.mga7
+ Revision: 1244715
- rebuild against current ocaml stack

* Sat Mar 31 2018 daviddavid <daviddavid> 1.99.4-1.mga7
+ Revision: 1213708
- initial package ocaml-sedlex

